# Page Login Restriction

A simple WordPress plugin that restricts pages to logged-in users and redirects non-logged-in users to a specified URL.

## Description

Page Login Restriction is a lightweight WordPress plugin that allows administrators to easily restrict access to specific pages, ensuring they're only accessible to logged-in users. When non-logged-in users attempt to access restricted pages, they're automatically redirected to a configurable URL (such as your login page or a custom message page).

## Features

- Restrict any page to logged-in users only
- Custom redirect URL for non-logged-in users
- Easy-to-use admin interface with a complete list of all pages
- Simple checkbox selection to restrict pages
- Lightweight and efficient code
- No coding required

## Installation

1. Download the plugin zip file
2. Go to your WordPress admin dashboard
3. Navigate to Plugins > Add New
4. Click the "Upload Plugin" button at the top of the page
5. Select the plugin zip file and click "Install Now"
6. After installation completes, click "Activate Plugin"

Alternatively, you can manually upload the plugin files to your `/wp-content/plugins/` directory via FTP.

## Usage

1. After activation, go to Settings > Page Restriction in your WordPress admin menu
2. Set the redirect URL where you want non-logged-in users to be sent when they attempt to access restricted pages
3. In the "Restricted Pages" section, check the boxes next to any pages you want to restrict to logged-in users only
4. Click "Save Settings"

That's it! Your selected pages are now protected and only accessible to logged-in users.

## Frequently Asked Questions

### Can I restrict custom post types?

Currently, this plugin only supports restricting standard WordPress pages. Support for custom post types may be added in a future update.

### Does this plugin restrict access to the page content only or the entire page?

The plugin restricts access to the entire page. When a non-logged-in user attempts to access a restricted page, they are immediately redirected without seeing any of the page content.

### Can I show a custom message before redirecting?

Not in the current version. The plugin performs an immediate redirect. If you want to display a custom message, you can create a dedicated page for this purpose and set it as your redirect URL.

### Is this plugin compatible with caching plugins?

Yes, but you should configure your caching plugin to exclude pages for logged-in users to ensure proper functionality.

## Support

If you encounter any issues or have questions about the plugin, please contact us through our support page at [your support URL].

## Changelog

### 1.0.0

- Initial release

## License

This plugin is licensed under the GPL v2 or later.

```
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
```
